<?xml version="1.0" encoding="utf-8"?>
<ScrollView
    xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent"
    android:scrollbars="vertical"
    android:fadingEdge="vertical">
    <LinearLayout
        xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:tools="http://schemas.android.com/tools"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        tools:context="com.newland.pnrdemo.DemoActivity"
        android:orientation="vertical">
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="商户号:"/>
            <EditText
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:id="@+id/et_member_id"/>
        </LinearLayout>
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="交易操作员:"/>
            <EditText
                android:text=""
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:id="@+id/et_merOperId"/>
        </LinearLayout>
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="打印操作员:"/>
            <EditText
                android:text=""
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:id="@+id/et_merOperId_printed"/>
        </LinearLayout>
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="金  额:"/>
            <EditText
                android:text="1"
                android:maxLength="12"
                android:inputType="number"
                android:hint="金额（分）"
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:id="@+id/et_amount"/>
        </LinearLayout>
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="订单号:"/>
            <EditText
                android:id="@+id/et_ord_no"
                android:inputType="number"
                android:layout_width="match_parent"
                android:layout_height="50dp" />
        </LinearLayout>
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="延迟入账:"/>
            <EditText
                android:id="@+id/et_isdelay_acct"
                android:maxLength="20"
                android:inputType="number"
                android:layout_width="match_parent"
                android:layout_height="50dp" />
        </LinearLayout>

<!--        <LinearLayout-->
<!--            android:layout_width="match_parent"-->
<!--            android:layout_height="wrap_content"-->
<!--            android:orientation="horizontal">-->
<!--            <TextView-->
<!--                android:layout_width="wrap_content"-->
<!--                android:layout_height="wrap_content"-->
<!--                android:text="支付限制:"/>-->
<!--            <EditText-->
<!--                android:id="@+id/et_pay_limit"-->
<!--                android:maxLength="20"-->
<!--                android:layout_width="match_parent"-->
<!--                android:layout_height="50dp"-->
<!--                android:hint="D:借记卡 C:贷记卡 不送没有限制"/>-->
<!--        </LinearLayout>-->

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="商品描述:"/>
            <EditText
                android:text="030147446000002059"
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:id="@+id/et_goods_desc"/>
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">
                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="分账模块"/>

            </LinearLayout>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">
                <EditText
                    android:id="@+id/merid1"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:hint="商户号1"/>
                <EditText
                    android:layout_width="wrap_content"
                    android:layout_height="1dp" />
                <EditText
                    android:text=""
                    android:maxLength="12"
                    android:inputType="numberDecimal"
                    android:hint="金额"
                    android:layout_width="match_parent"
                    android:layout_height="50dp"
                    android:id="@+id/divRate1"/>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">
                <EditText
                    android:id="@+id/merid2"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:hint="商户号2"/>
                <EditText
                    android:layout_width="wrap_content"
                    android:layout_height="1dp" />
                <EditText
                    android:text=""
                    android:maxLength="12"
                    android:inputType="numberDecimal"
                    android:hint="金额"
                    android:layout_width="match_parent"
                    android:layout_height="50dp"
                    android:id="@+id/divRate2"/>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">
                <EditText
                    android:id="@+id/merid3"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:hint="商户号3"/>
                <EditText
                    android:layout_width="wrap_content"
                    android:layout_height="1dp" />
                <EditText
                    android:text=""
                    android:maxLength="12"
                    android:inputType="numberDecimal"
                    android:hint="金额"
                    android:layout_width="match_parent"
                    android:layout_height="50dp"
                    android:id="@+id/divRate3"/>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">
                <EditText
                    android:id="@+id/merid4"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:hint="商户号4"/>
                <EditText
                    android:layout_width="wrap_content"
                    android:layout_height="1dp" />
                <EditText
                    android:text=""
                    android:maxLength="12"
                    android:inputType="numberDecimal"
                    android:hint="金额"
                    android:layout_width="match_parent"
                    android:layout_height="50dp"
                    android:id="@+id/divRate4"/>
            </LinearLayout>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">
                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:hint="商户个数："/>
                <EditText
                    android:text=""
                    android:maxLength="12"
                    android:inputType="number"
                    android:layout_width="match_parent"
                    android:layout_height="50dp"
                    android:id="@+id/divnum"/>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">
                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:hint="手续费承担方："/>
                <EditText
                    android:text=""
                    android:maxLength="30"
                    android:inputType="number"
                    android:layout_width="match_parent"
                    android:layout_height="50dp"
                    android:id="@+id/divmember"/>
            </LinearLayout>
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="支付方式:"/>
            <RadioGroup
                android:id="@+id/radioGroupID"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content" >

                <RadioButton
                    android:id="@+id/qrcode_u"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="银联钱包"
                    />
                <RadioButton
                    android:id="@+id/qrcode_a"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="支付宝"/>
                <RadioButton
                    android:id="@+id/qrcode_w"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="微信"/>
                <RadioButton
                    android:id="@+id/qrcode_j"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="聚合码"/>
            </RadioGroup>
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginLeft="5dp"
                android:text="付款码时必选"
                android:textColor="#FF3333"/>
        </LinearLayout>



        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">
                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="自定义打印数据"/>

            </LinearLayout>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">
                <EditText
                    android:id="@+id/printKey1"
                    android:text=""
                    android:hint="打印说明1"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"/>
                <EditText
                    android:layout_width="wrap_content"
                    android:layout_height="1dp" />
                <EditText
                    android:text=""
                    android:hint="打印内容1"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:id="@+id/printValur1"/>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">
                <EditText
                    android:id="@+id/printKey2"
                    android:text=""
                    android:hint="打印说明2"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"/>
                <EditText
                    android:layout_width="wrap_content"
                    android:layout_height="1dp" />
                <EditText
                    android:text=""
                    android:hint="打印内容2"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:id="@+id/printValur2"/>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">
                <EditText
                    android:id="@+id/printKey3"
                    android:text=""
                    android:hint="打印说明3"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"/>
                <EditText
                    android:layout_width="wrap_content"
                    android:layout_height="1dp" />
                <EditText
                    android:text=""
                    android:hint="打印内容3"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:id="@+id/printValur3"/>
            </LinearLayout>
        </LinearLayout>


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">
                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="自定义打印二维码"/>

            </LinearLayout>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">
                <EditText
                    android:text=""
                    android:hint="二维码字符串"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:id="@+id/printQrcodeValue"/>
            </LinearLayout>

        </LinearLayout>



        <LinearLayout
            android:layout_width="match_parent"
            android:orientation="horizontal"
            android:layout_height="50dp">
            <Button
                android:layout_width="0dp"
                android:layout_weight="1"
                android:layout_height="match_parent"
                android:layout_marginLeft="10dp"
                android:layout_marginRight="10dp"
                android:id="@+id/btn_acquire"
                android:text="银行卡"/>

            <Button
                android:layout_width="0dp"
                android:layout_weight="1"
                android:layout_height="match_parent"
                android:layout_marginLeft="10dp"
                android:layout_marginRight="10dp"
                android:id="@+id/btn_scan_a"
                android:text="扫一扫"/>


            <Button
                android:layout_width="0dp"
                android:layout_weight="1"
                android:layout_height="match_parent"
                android:layout_marginLeft="10dp"
                android:layout_marginRight="10dp"
                android:id="@+id/btn_scan_w"
                android:text="付款码"/>
        </LinearLayout>


        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:id="@+id/tv_request"/>
        <View
            android:id="@+id/view_line"
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:background="?attr/colorPrimary"
            android:visibility="gone" />
        <TextView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:id="@+id/tv_result"/>
    </LinearLayout>

</ScrollView>
